MultipleIterator::setFlags
NoRewindIterator
MultipleIterator
PHP Manual

# MultipleIterator::valid

Checks the validity of sub iterators

### Description

public void MultipleIterator::valid ( void )

Checks the validity of sub iterators.

Warning

This function is currently not documented; only its argument list is available.

### Parameters

This function has no parameters.

### Return Values

Returns `TRUE` if one or all sub iterators are valid depending on flags, otherwise `FALSE`

### See Also

- MultipleIterator::__construct